Apache HTTP Server Request Library

# apreq_value_t Struct Reference

libapreq's pre-extensible string type More...

`#include <apreq.h>`

## Data Fields

char * | name
apr_size_t | nlen
apr_size_t | dlen
char | data [1]

## Detailed Description

libapreq's pre-extensible string type

Examples:

  /home/issac/asf/svn/v2_13/include/apreq.h.

## Field Documentation

char* apreq_value_t::name

value name

Examples:
  /home/issac/asf/svn/v2_13/include/apreq.h.

apr_size_t apreq_value_t::nlen

length of name

Examples:
  /home/issac/asf/svn/v2_13/include/apreq.h.

apr_size_t apreq_value_t::dlen

length of data

Examples:
  /home/issac/asf/svn/v2_13/include/apreq.h.

char apreq_value_t::data[1]

value data

Examples:
  /home/issac/asf/svn/v2_13/include/apreq.h.

The documentation for this struct was generated from the following file:

- include/apreq.h